<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Google Font: Source Sans Pro -->
    <link rel="stylesheet"
        href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/css/all.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css">

    <!-- bootstrap & jquery -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

    <!-- SweetAlert2 -->
    <link rel="stylesheet" href="plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css">
    <script src="plugins/sweetalert2/sweetalert2.min.js"></script>


    <!-- Import Datatable sau jquery -->
    <!-- Import them style bootstrap cho datatable -->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">
        <!-- Navbar -->
        <nav class="main-header navbar navbar-expand navbar-white navbar-light">
            <!-- Left navbar links -->
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
                </li>
                <li class="nav-item d-none d-sm-inline-block">
                    <a href="#" class="nav-link">Real Estate</a>
                </li>
            </ul>

            <!-- Right navbar links -->
            <ul class="navbar-nav ml-auto">
                <li class="nav-item dropdown mr-3">
                    <a class="nav-link" data-toggle="dropdown" href="#"><i class="fa-solid fa-user-large"></i></a>
                    <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
                        <span class="dropdown-item dropdown-header" id="user-info"></span>
                        <div class="dropdown-divider"></div>
                        <div class="text-center mt-2">
                            <button class="btn btn-danger" id="btn-log-out"><i
                                    class="fa-solid fa-right-from-bracket"></i> Log out</button>
                        </div>
                    </div>
                </li>
            </ul>
        </nav>
        <!-- /.navbar -->


        <!-- Main Sidebar Container -->
        <aside class="main-sidebar sidebar-dark-primary elevation-4">
            <!-- Brand Logo -->
            <a href="addressMap.html" class="brand-link">
                <img src="dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3"
                    style="opacity: .8">
                <span class="brand-text font-weight-light">ADMIN Real Estates</span>
            </a>

            <!-- Sidebar -->
            <div class="sidebar">
                <div class="user-panel mt-3 pb-3 mb-3 d-flex">
                    <div class="info text-white ml-2" id="username-info"></div>
                </div>
                <!-- Sidebar Menu -->
                <nav class="mt-2">
                    <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu"
                        data-accordion="false">
                        <!-- Add icons to the links using the .nav-icon class with font-awesome or any other icon font library -->
                        <li class="nav-item">
                            <a href="./addressMap.html" class="nav-link ">
                                <i class="fa-solid fa-map-location-dot"></i>
                                <p>
                                    Địa chỉ tọa độ
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="./masterLayout.html" class="nav-link ">
                                <i class="fa-solid fa-layer-group"></i>
                                <p>
                                    Mặt bằng tầng
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="./constructionContractor.html" class="nav-link ">
                                <i class="fa-solid fa-person-digging"></i>
                                <p>
                                    Nhà thầu xây dựng
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="./designUnit.html" class="nav-link ">
                                <i class="fa-solid fa-compass-drafting"></i>
                                <p>
                                    Đơn vị thiết kế
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="./investor.html" class="nav-link ">
                                <i class="fa-solid fa-user-tie"></i>
                                <p>
                                    Nhà đầu tư
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="./regionLink.html" class="nav-link">
                                <i class="fa-solid fa-map"></i>
                                <p>
                                    Kết nối vùng
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="./utilities.html" class="nav-link">
                                <i class="fa-solid fa-person-swimming"></i>
                                <p>
                                    Tiện ích
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="./customers.html" class="nav-link ">
                                <i class="fa-solid fa-users-line"></i>
                                <p>
                                    Khách hàng
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="./advise.html" class="nav-link">
                                <i class="fa-solid fa-comment-medical"></i>
                                <p>
                                    Thông tin KH cần tư vấn
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="./employees.html" class="nav-link ">
                                <i class="fa-solid fa-user"></i>
                                <p>
                                    Người dùng
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="./project.html" class="nav-link ">
                                <i class="fa-solid fa-hotel"></i>
                                <p>
                                    Dự án xây dựng
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="./realestate.html" class="nav-link active">
                                <i class="fa-solid fa-city"></i>
                                <p>
                                    Thông tin BĐS
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="#" class="nav-link">
                                <i class="fa-solid fa-bars"></i>
                                <p>
                                    Địa chính
                                    <i class="right fas fa-angle-left"></i>
                                </p>
                            </a>
                            <ul class="nav nav-treeview">
                                <li class="nav-item">
                                    <a href="./province.html" class="nav-link ">
                                        <i class="fa-solid fa-tree-city"></i>
                                        <p>Tỉnh thành</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="./district.html" class="nav-link ">
                                        <i class="fa-solid fa-tree-city"></i>
                                        <p>Quận huyện</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="./ward.html" class="nav-link">
                                        <i class="fa-solid fa-tree-city"></i>
                                        <p>Phường xã</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="./street.html" class="nav-link">
                                        <i class="fa-solid fa-tree-city"></i>
                                        <p>Đường</p>
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="nav-item">
                            <a href="./subscription.html" class="nav-link">
                                <i class="fa-solid fa-bell"></i>
                                <p>
                                    Subscription
                                </p>
                            </a>
                        </li>
                    </ul>
                </nav>
                <!-- /.sidebar-menu -->
            </div>
            <!-- /.sidebar -->
        </aside>

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <div class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6">
                        </div><!-- /.col -->
                        <div class="col-sm-6">
                            <ol class="breadcrumb float-sm-right">
                                <li class="breadcrumb-item"><a href="#">Home</a></li>
                                <li class="breadcrumb-item active">Real Estate</li>
                            </ol>
                        </div><!-- /.col -->
                    </div><!-- /.row -->
                </div><!-- /.container-fluid -->
            </div>
            <!-- /.content-header -->

            <!-- Main content -->
            <section class="content">
                <div class="container-fluid">
                    <div class="col-sm-8">
                        <div class="row form-group border-bottom">
                            <div class="col-md-3 text-left">
                                <label>ID</label>
                            </div>
                            <div class="col-md-9 form-group">
                                <label id="label-project-id"></label>
                            </div>
                        </div>
                        <div class="row form-group border-bottom">
                            <div class="col-md-3 text-left">
                                <label>Tên dự án</label>
                            </div>
                            <div class="col-md-9 form-group">
                                <label id="label-project-name"></label>
                            </div>
                        </div>
                        <div class="row form-group border-bottom">
                            <div class="col-md-3 text-left">
                                <label>Tỉnh thành</label>
                            </div>
                            <div class="col-md-9 form-group">
                                <label id="label-project-province"></label>
                            </div>
                        </div>
                        <div class="row form-group border-bottom">
                            <div class="col-md-3 text-left">
                                <label>Quận huyện</label>
                            </div>
                            <div class="col-md-9 form-group">
                                <label id="label-project-district"></label>
                            </div>
                        </div>
                        <div class="row form-group border-bottom">
                            <div class="col-md-3 text-left">
                                <label>Vĩ độ</label>
                            </div>
                            <div class="col-md-9 form-group">
                                <label id="label-project-lat"></label>
                            </div>
                        </div>
                        <div class="row form-group border-bottom">
                            <div class="col-md-3 text-left">
                                <label>Kinh độ</label>
                            </div>
                            <div class="col-md-9 form-group">
                                <label id="label-project-lng"></label>
                            </div>
                        </div>
                        <div class="row form-group border-bottom">
                            <div class="col-md-3 text-left">
                                <label>Tổng diện tích dự án</label>
                            </div>
                            <div class="col-md-9 form-group">
                                <label id="label-project-acreage"></label>
                            </div>
                        </div>
                        <div class="row form-group border-bottom">
                            <div class="col-md-3 text-left">
                                <label>Tổng diện tích xậy dựng</label>
                            </div>
                            <div class="col-md-9 form-group">
                                <label id="label-project-constructArea"></label>
                            </div>
                        </div>
                        <div class="row form-group border-bottom">
                            <div class="col-md-3 text-left">
                                <label>Số tòa nhà</label>
                            </div>
                            <div class="col-md-9 form-group">
                                <label id="label-project-numBlock"></label>
                            </div>
                        </div>
                        <div class="row form-group border-bottom">
                            <div class="col-md-3 text-left">
                                <label>Số căn hộ</label>
                            </div>
                            <div class="col-md-9 form-group">
                                <label id="label-project-numApartment"></label>
                            </div>
                        </div>
                        <div class="row form-group border-bottom">
                            <div class="col-md-3 text-left">
                                <label>Chủ đầu tư</label>
                            </div>
                            <div class="col-md-9 form-group">
                                <label id="label-project-investor"></label>
                            </div>
                        </div>
                    </div>

                    <h4 class="text-center form-group">Real Estate List</h4>
                    <div class="form-group">
                        <button class="btn btn-success" id="btn-create-new-realEstate"><i class="fa-solid fa-plus"></i>
                            Create New Real Estate</button>
                    </div>
                    <table class="table table-bordered table-striped table-hover" id="realEstate-table">
                        <thead>
                            <tr>
                                <th>Action</th>
                                <th>ID</th>
                                <th>Tỉnh thành</th>
                                <th>Quận Huyện</th>
                                <th>Dự án xây dựng</th>
                                <th>Khách hàng</th>
                                <th>Giá đăng</th>
                                <th>Giá cho thuê</th>
                                <th>Diện tích BĐS</th>
                                <th>Số phòng ngủ</th>
                                <th>Số phòng tắm</th>
                            </tr>
                        </thead>
                        <tbody>
                        </tbody>
                    </table>

                </div><!-- /.container-fluid -->
            </section>
            <!-- /.content -->

            <!-- Delete realEstate modal -->
            <div id="delete-realEstate-modal" class="modal fade" tabindex="-1">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header bg-danger">
                            <h5 class="modal-title">Delete Real Estate Confirmation</h5>
                            <button class="close" data-dismiss="modal">&times;</button>
                        </div>
                        <div class="modal-body">
                            Are you sure to delete this Real Estate?
                        </div>
                        <div class="modal-footer">
                            <button class="btn btn-danger" id="btn-delete-confirm">Confirm</button>
                            <button class="btn btn-secondary" id="btn-update-cancel"
                                data-dismiss="modal">Cancel</button>
                        </div>
                    </div>
                </div>
            </div>

        </div>
        <!-- /.content-wrapper -->
        <footer class="main-footer">
            <strong>Copyright &copy; 2014-2021 Devcamp.</strong>
            All rights reserved.
            <div class="float-right d-none d-sm-inline-block">
                <b>Version</b> 1.0.0
            </div>
        </footer>
    </div>

    <!-- AdminLTE App -->
    <script src="dist/js/adminlte.js"></script>

    <script>
        $(document).ready(function () {

            const token = getCookie("token");

            // Biến mảng toàn cục chứa danh sách tên các thuộc tính
            const gDATA_COLS = ["action", "id", "project._district._province.name", "project._district.name", "project.name", "customer.contactName", "price", "priceRent", "acreage", "bedroom", "bath"];

            // Biến mảng toàn cục định nghĩa chỉ số các cột tương ứng
            const gACTION_COL = 0;
            const gID_COL = 1;
            const gPROVINCE_COL = 2;
            const gDISTRICT_COL = 3;
            const gPROJECT_COL = 4;
            const gCUSTOMER_COL = 5;
            const gPRICE_COL = 6;
            const gPRICERENT_COL = 7;
            const gACREAGE_COL = 8;
            const gBEDROOM_COL = 9;
            const gBATH_COL = 10;


            var gTable = $("#realEstate-table").DataTable({
                columns: [
                    { data: gDATA_COLS[gACTION_COL] },
                    { data: gDATA_COLS[gID_COL] },
                    { data: gDATA_COLS[gPROVINCE_COL] },
                    { data: gDATA_COLS[gDISTRICT_COL] },
                    { data: gDATA_COLS[gPROJECT_COL] },
                    { data: gDATA_COLS[gCUSTOMER_COL] },
                    { data: gDATA_COLS[gPRICE_COL] },
                    { data: gDATA_COLS[gPRICERENT_COL] },
                    { data: gDATA_COLS[gACREAGE_COL] },
                    { data: gDATA_COLS[gBEDROOM_COL] },
                    { data: gDATA_COLS[gBATH_COL] },
                ],
                "columnDefs": [
                    {
                        "targets": gACTION_COL,
                        "defaultContent": `<button class='btn btn-primary btn-detail-realEstate'><i class="fa-regular fa-pen-to-square"></i></button>
                            <button class='btn btn-danger btn-delete-realEstate'><i class="fa-regular fa-trash-can"></i></button>`
                    },
                    {
                        "targets": gCUSTOMER_COL,
                        "defaultContent": ""
                    }],
            });

            var gId;
            var gProjectId;

            /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
            onPageLoading();

            //Set sự kiện cho nút logout
            $("#btn-log-out").on("click", function () {
                redirectToLogin();
            });

            // gán xự kiện nút tạo mới realEstate
            $("#btn-create-new-realEstate").on("click", function () {
                window.location.href = "realEstateAdd.html"
            });

            // gán xự kiện  nút chi tiết realEstate
            $("#realEstate-table").on("click", ".btn-detail-realEstate", function () {
                onBtnDetailrealEstateClick(this);
            });

            // gán xự kiện  nút xóa realEstate
            $("#realEstate-table").on("click", ".btn-delete-realEstate", function () {
                onBtnDeleterealEstateClick(this);
            });

            // gán xự kiện  nút xác nhận xóa realEstate
            $("#btn-delete-confirm").on("click", function () {
                onBtnDeleterealEstateConfirmClick();
            });

            /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
            function onPageLoading() {
                "use strict";
                callApiGetUserIdByToken();
                //tạo đối tượng url để truy vấn tham số 
                var vUrlObject = new URL(window.location.href);
                // đưa tham số customerId sang bằng query string
                var vProjectID = vUrlObject.searchParams.get("projectId");
                gProjectId = vProjectID;
                if (vProjectID != null) {
                    callApiGetProjectByID(vProjectID);
                    callApiGetAllRealEstatesByProjectId();
                } else {
                    alert("Không có dữ liệu ProjectId.");
                    window.location.href = "project.html";
                }

            }

            // Hàm xử lý khi nút chi tiết realEstate được nhấn
            function onBtnDetailrealEstateClick(paramBtnDetail) {
                "use strict";
                // B1: Thu thập dữ liệu
                //Xác định thẻ tr là cha của nút được chọn
                var vRowSelected = $(paramBtnDetail).parents('tr');
                // Lấy các dữ liệu của hàng có cùng hàng với nút được nhấn
                var vDataRow = gTable.row(vRowSelected).data();
                console.log(vDataRow);
                // B2: Kiểm tra dữ liệu (bỏ qua)
                // B3: xử lý hiển thị dữ liệu vào modal
                const vUPDATE_URL = "realEstateUpdate.html"
                var vUrlSiteToOpen = vUPDATE_URL + "?" + "realEstateId=" + vDataRow.id;
                window.location.href = vUrlSiteToOpen;
            }

            // Hàm xử lý khi nút chi tiết realEstate được nhấn
            function onBtnDeleterealEstateClick(paramBtnDetail) {
                "use strict";
                // B1: Thu thập dữ liệu
                //Xác định thẻ tr là cha của nút được chọn
                var vRowSelected = $(paramBtnDetail).parents('tr');
                // Lấy các dữ liệu của hàng có cùng hàng với nút được nhấn
                var vDataRow = gTable.row(vRowSelected).data();
                gId = vDataRow.id;
                // B2: Kiểm tra dữ liệu (bỏ qua)
                // B3: xử lý hiển thị dữ liệu vào modal
                // Hiện modal
                $("#delete-realEstate-modal").modal("show");
            }

            // Hàm xử lý khi nút xác nhận xóa realEstate được nhấn
            function onBtnDeleterealEstateConfirmClick() {
                "use strict";
                // B1: Thu thập dữ liệu (bỏ qua)
                // B2: Kiểm tra dữ liệu (bỏ qua)
                // B3: xử lý hiển thị dữ liệu
                callApiDeleterealEstate();
                // gọi lại tất cả realEstates
                callApiGetAllRealEstatesByProjectId();
                // Ẩn modal
                $("#delete-realEstate-modal").modal("hide");
            }

            /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình */
            // Hàm load dữ liệu vào bảng
            function loadDataToTable(paramData) {
                "use strict";
                //Xóa toàn bộ dữ liệu đang có của bảng
                gTable.clear();
                //Cập nhật data cho bảng
                gTable.rows.add(paramData);
                //Cập nhật lại giao diện hiển thị bảng
                gTable.draw();
            }

            function callApiGetUserIdByToken() {
                $.ajax({
                    url: "http://localhost:8080/findUserId/Token",
                    type: 'GET',
                    dataType: "json",
                    contentType: "application/json; charset=utf-8",
                    headers: {
                        "Authorization": "Token " + token,
                    },
                    success: function (responseObject) {
                        //console.log(responseObject);
                        callApiGetEmployeeByID(responseObject);
                    },
                    error: function (pAjaxContext) {
                        //redirectToLogin();
                    }
                });
            }

            // Hàm gọi api lấy dữ liệu employee bằng id
            function callApiGetEmployeeByID(paramEmployeeId) {
                $.ajax({
                    url: "http://localhost:8080/employees/" + paramEmployeeId,
                    method: "GET",
                    async: false,
                    success: function (paramResponseObj) {
                        console.log(paramResponseObj);
                        handlerUserDataResponse(paramResponseObj);
                    },
                    error: function (paramError) {
                        console.log(paramError);
                    }
                });
            }

            function handlerUserDataResponse(paramUserData) {
                $("#username-info").html(paramUserData.username);
                $("#user-info").html(paramUserData.username);
            }

            // Hàm gọi api lấy tất cả realEstate
            function callApiGetProjectByID(paramProjectId) {
                $.ajax({
                    url: "http://localhost:8080/projects/" + paramProjectId,
                    method: "GET",
                    async: false,
                    headers: {
                        'Content-Type': 'application/json;charset=UTF-8',
                        "Authorization": "Token " + token,
                    },
                    success: function (paramResponseObj) {
                        //console.log(paramResponseObj);
                        loadDataToDataForm(paramResponseObj);
                    },
                    error: function (paramError) {
                        console.log(paramError);
                    }
                });
            }

            // Hàm gọi api lấy tất cả realEstate
            function callApiGetAllRealEstatesByProjectId() {
                $.ajax({
                    url: "http://localhost:8080/allRealEstates/project/" + gProjectId,
                    method: "GET",
                    async: false,
                    headers: {
                        'Content-Type': 'application/json;charset=UTF-8',
                        "Authorization": "Token " + token,
                    },
                    success: function (paramResponseObj) {
                        //console.log(paramResponseObj);
                        loadDataToTable(paramResponseObj);
                    },
                    error: function (paramError) {
                        console.log(paramError);
                        alertError("Không tìm thấy thông tin BĐS của dự án.");
                    }
                });
            }

            // Hàm gọi api xóa realEstate
            function callApiDeleterealEstate() {
                $.ajax({
                    url: "http://localhost:8080/realEstates/" + gId,
                    method: "DELETE",
                    async: false,
                    headers: {
                        'Content-Type': 'application/json;charset=UTF-8',
                        "Authorization": "Token " + token,
                    },
                    success: function (paramResponseObj) {
                        //console.log(paramResponseObj);
                        alertSuccess("Success.");
                    },
                    error: function (paramError) {
                        console.log(paramError);
                        alertError("Failed.");
                    }
                });
            }

            function loadDataToDataForm(paramDataResponse) {
                "use strict";
                $("#label-project-id").html(paramDataResponse.id);
                $("#label-project-name").html(paramDataResponse.name);
                $("#label-project-province").html(paramDataResponse._district._province.name);
                $("#label-project-district").html(paramDataResponse._district.name);
                $("#label-project-lat").html(paramDataResponse._lat);
                $("#label-project-lng").html(paramDataResponse._lng);
                $("#label-project-acreage").html(paramDataResponse.acreage);
                $("#label-project-constructArea").html(paramDataResponse.constructArea);
                $("#label-project-numBlock").html(paramDataResponse.numBlock);
                $("#label-project-numApartment").html(paramDataResponse.numApartment);
                $("#label-project-investor").html(paramDataResponse.investor);
            }

            function redirectToLogin() {
                // Trước khi logout cần xóa token đã lưu trong cookie
                setCookie("token", "", 1);
                window.location.href = "index.html";
            }

            //Hàm get Cookie
            function getCookie(cname) {
                var name = cname + "=";
                var decodedCookie = decodeURIComponent(document.cookie);
                var ca = decodedCookie.split(';');
                for (var i = 0; i < ca.length; i++) {
                    var c = ca[i];
                    while (c.charAt(0) == ' ') {
                        c = c.substring(1);
                    }
                    if (c.indexOf(name) == 0) {
                        return c.substring(name.length, c.length);
                    }
                }
                return "";
            }

            //Hàm setCookie đã giới thiệu ở bài trước
            function setCookie(cname, cvalue, exdays) {
                var d = new Date();
                d.setTime(d.getTime() + (exdays * 24 * 60 * 60 * 1000));
                var expires = "expires=" + d.toUTCString();
                document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
            }

            // Hàm alert success
            function alertSuccess(paramTitle) {
                "use strict";
                $(function () {
                    var Toast = Swal.mixin({
                        toast: false,
                        position: 'top',
                        showConfirmButton: false,
                        timer: 3500
                    });
                    Toast.fire({
                        icon: 'success',
                        title: paramTitle,
                    })
                });
            }

            // Hàm alert lỗi
            function alertError(paramTitle) {
                "use strict";
                $(function () {
                    var Toast = Swal.mixin({
                        toast: false,
                        position: 'top',
                        showConfirmButton: false,
                        timer: 3500
                    });
                    Toast.fire({
                        icon: 'error',
                        title: paramTitle,
                    })
                });
            }


        });

    </script>
</body>